package com.qmth.teachcloud.common.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.bean.result.BasicOperationLogResult;
import com.qmth.teachcloud.common.entity.BasicOperationLog;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.enums.log.CustomizedOperationTypeEnum;
import com.qmth.teachcloud.common.mapper.BasicOperationLogMapper;
import com.qmth.teachcloud.common.service.BasicOperationLogService;
import org.springframework.stereotype.Service;

/**
 * @Description: 基础操作日志服务实现类
 * @Author: CaoZixuan
 * @Date: 2022-02-15
 */
@Service
public class BasicOperationLogServiceImpl extends ServiceImpl<BasicOperationLogMapper, BasicOperationLog> implements BasicOperationLogService {

    @Override
    public IPage<BasicOperationLogResult> findOperationLogPage(CustomizedOperationTypeEnum customizedOperationType, Long startTime, Long endTime, SysUser requestUser, int pageNumber, int pageSize) {
        Long schoolId = requestUser.getSchoolId();
        Long userId = requestUser.getId();
        return this.baseMapper.findOperationLogPage(new Page<>(pageNumber,pageSize),schoolId,userId,customizedOperationType,startTime,endTime);
    }
}
